> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.rushorder.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.rushorder.com/_mcp/server.

# Get shipment status for a batch

GET https://dream.rushorder.com/api/orders/batch
Content-Type: application/json

Use up to 100 OrderNumbers/AltOrderNumbers to retrieve shipment status

Reference: https://docs.rushorder.com/api-reference/orders/get-batch-status

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Headers

- `RushOrderMomCode` (string, required) — All requests require the header to contain RushOrderMomCode, a 3 character string that represents the client internally in Rush Order. This should be given to you by Rush Order.

### Body (application/json)

This endpoint expects an object.

- `OrderNumbers` (list of integer, optional, nullable)
- `AltOrderNumbers` (list of string, optional, nullable)

## Response

### 200

Success

- `Error` (string, optional)
- `Message` (string, optional)
- `Success` (boolean, optional)
- `Data` (list of Order, optional)

## Errors

### 400 Bad Request Error

The request body is invalid

- `any`

## Types

### Order

- `OrderNumber` (integer, optional)
- `AlternateOrderNumber` (string, optional)
- `OrderDate` (datetime, optional)
- `SourceCode` (string, optional)
- `PermanentHold` (boolean, optional)
- `Cancelled` (boolean, optional)
- `Items` (list of OrderItem, optional)
- `Shipments` (list of OrderShipment, optional)
- `BillTo` (OrderBillTo, optional)
- `ShipTo` (OrderShipTo, optional)

### OrderItem

- `Sku` (string, optional)
- `QuantityOrdered` (integer, optional)
- `QuantityShipped` (integer, optional)
- `Serialized` (boolean, optional)
- `SerialNumbers` (list of OrderItemSerial, optional)
- `LineNumber` (string, optional, nullable)

### OrderShipment

- `BoxNumber` (integer, optional)
- `TrackingNumber` (string, optional)
- `TrackingUrl` (string, optional)
- `ShipDate` (datetime, optional)
- `ShipMethod` (string, optional)
- `Items` (list of OrderItem, optional)
- `Inpart` (string, optional) — The shipment this box belongs to, a letter from A to Z. Boxes that share an inpart are one shipment, and each repeats that shipment's full item list.
- `FulfillmentLocation` (string, optional) — The location the shipment was fulfilled from.
- `TrackingEntryDate` (datetime, optional, nullable) — When tracking was recorded for the shipment.

### OrderBillTo

### OrderShipTo

### OrderItemSerial

- `Serial` (string, optional)
- `Serial2` (string, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "Error": "string",
  "Message": "string",
  "Success": true,
  "Data": [
    {
      "OrderNumber": 1,
      "AlternateOrderNumber": "string",
      "OrderDate": "2024-01-15T09:30:00Z",
      "SourceCode": "string",
      "PermanentHold": true,
      "Cancelled": true,
      "Items": [
        {
          "Sku": "string",
          "QuantityOrdered": 1,
          "QuantityShipped": 1,
          "Serialized": true,
          "SerialNumbers": [
            {
              "Serial": "string",
              "Serial2": "string"
            }
          ],
          "LineNumber": "string"
        }
      ],
      "Shipments": [
        {
          "BoxNumber": 1,
          "TrackingNumber": "string",
          "TrackingUrl": "string",
          "ShipDate": "2024-01-15T09:30:00Z",
          "ShipMethod": "string",
          "Items": [
            {
              "Sku": "string",
              "QuantityOrdered": 1,
              "QuantityShipped": 1,
              "Serialized": true,
              "SerialNumbers": [
                {
                  "Serial": "string",
                  "Serial2": "string"
                }
              ],
              "LineNumber": "string"
            }
          ],
          "Inpart": "A",
          "FulfillmentLocation": "string",
          "TrackingEntryDate": "2024-01-15T09:30:00Z"
        }
      ],
      "BillTo": {},
      "ShipTo": {}
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://dream.rushorder.com/api/orders/batch"

payload = {}
headers = {
    "RushOrderMomCode": "ABC"
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers, auth=("<username>", "<password>"))

print(response.json())
```

```javascript
const url = 'https://dream.rushorder.com/api/orders/batch';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'GET',
  headers: {
    RushOrderMomCode: 'ABC',
    Authorization: `Basic ${credentials}`,
    'Content-Type': 'application/json'
  },
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://dream.rushorder.com/api/orders/batch"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("RushOrderMomCode", "ABC")
	req.SetBasicAuth("<username>", "<password>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://dream.rushorder.com/api/orders/batch")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["RushOrderMomCode"] = 'ABC'
request.basic_auth("<username>", "<password>")
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://dream.rushorder.com/api/orders/batch")
  .header("RushOrderMomCode", "ABC")
  .basicAuth("<username>", "<password>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://dream.rushorder.com/api/orders/batch', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'RushOrderMomCode' => 'ABC',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://dream.rushorder.com/api/orders/batch");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.GET);
request.AddHeader("RushOrderMomCode", "ABC");

request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "RushOrderMomCode": "ABC",
  "Authorization": "Basic \(credentials)",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://dream.rushorder.com/api/orders/batch")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```